PDF Export has no left padding for tables

2014-12-12 21:49 - @ go2null

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 2.6.2   

Resolution: Fixed Affected version: 2.6.0

Description

1. rbpdf.png: This is the default export. There is no visible left padding in the generated PDF.  This leads to pretty ugly PDF tables.

# /usr/lib/ruby/gems/1.9.1/gems/rbpdf-1.18.2/lib/rbpdf.rb

3814 starty = @y

3815 if autopadding

3816   # Adjust internal padding

3817   if @c_margin < (@line_width / 2)

3818     @c_margin = @line_width / 2

3819   end

3820   # Add top space if needed

3821   if (@lasth - @font_size) < @line_width

3822     @y += @line_width / 2

3823   end

3824   # add top padding

3825   @y += @c_margin

3826 end

2. rbpdf-with-left-padding.png: Adding the following leads to a better left-padding default.

# /usr/lib/ruby/gems/1.9.1/gems/rbpdf-1.18.2/lib/rbpdf.rb

3814 starty = @y

3815 if autopadding

3816   # Adjust internal padding

3817   if @c_margin < (@line_width / 2)

3818     @c_margin = @line_width / 2

3819   end

3820   # Add top space if needed

3821   if (@lasth - @font_size) < @line_width

3822     @y += @line_width / 2

3823   end

+3824   # add left padding

+3825   @x += @line_width * 2

3826   # add top padding

3827   @y += @c_margin

3828 end

Associated revisions

Revision 13987 - 2015-02-08 13:23 - Toshi MARUYAMA

Merged r13943 from trunk to 2.6-stable (#18632)

require rbpdf 1.18.5.
History

#1 - 2014-12-27 15:49 - Krishna Gollamudi

I am trying to add export PDF option on one of the plugin screens. Can you help me where all i need to change to make it work?

#2 - 2015-01-11 05:33 - Toshi MARUYAMA

I have created issue.

https://github.com/naitoh/rbpdf/issues/7

#3 - 2015-01-24 16:14 - Jun NAITOH

- File rbpdf-1.18.5.png added

This problem fixed by rbpdf 1.18.5.

please bundle update

bundle update rbpdf

  

#4 - 2015-02-08 13:20 - Toshi MARUYAMA

- Target version set to 2.6.2

#5 - 2015-02-08 13:38 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Required rbpdf 1.18.5 in 2.6-stable r13987, thanks.
